# azure.mgmt.containerinstance.models module

class `azure.mgmt.containerinstance.models.``ContainerPort`(*, port: int, protocol=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The port exposed on the container instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - protocol (str or ContainerNetworkProtocol) – The protocol associated with the port. Possible values include: ‘TCP’, ‘UDP’
  - port (int) – Required. The port number exposed within the container group.

class `azure.mgmt.containerinstance.models.``EnvironmentVariable`(*, name: str, value: str = None, secure_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The environment variable to set within the container instance.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the environment variable.
  - value (str) – The value of the environment variable.
  - secure_value (str) – The value of the secure environment variable.

class `azure.mgmt.containerinstance.models.``ContainerState`(*, state: str = None, start_time=None, exit_code: int = None, finish_time=None, detail_status: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The container instance state.

  Parameters:

  - state (str) – The state of the container instance.
  - start_time (datetime) – The date-time when the container instance state started.
  - exit_code (int) – The container instance exit codes correspond to those from the docker run command.
  - finish_time (datetime) – The date-time when the container instance state finished.
  - detail_status (str) – The human-readable status of the container instance state.

class `azure.mgmt.containerinstance.models.``Event`(*, count: int = None, first_timestamp=None, last_timestamp=None, name: str = None, message: str = None, type: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A container group or container instance event.

  Parameters:

  - count (int) – The count of the event.
  - first_timestamp (datetime) – The date-time of the earliest logged event.
  - last_timestamp (datetime) – The date-time of the latest logged event.
  - name (str) – The event name.
  - message (str) – The event message.
  - type (str) – The event type.

class `azure.mgmt.containerinstance.models.``ContainerPropertiesInstanceView`(**kwargs)

  Bases: `msrest.serialization.Model`

  The instance view of the container instance. Only valid in response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - restart_count (int) – The number of times that the container instance has been restarted.
  - current_state (ContainerState) – Current container instance state.
  - previous_state (ContainerState) – Previous container instance state.
  - events (list[Event]) – The events of the container instance.

class `azure.mgmt.containerinstance.models.``GpuResource`(*, count: int, sku, **kwargs)

  Bases: `msrest.serialization.Model`

  The GPU resource.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - count (int) – Required. The count of the GPU resource.
  - sku (str or GpuSku) – Required. The SKU of the GPU resource. Possible values include: ‘K80’, ‘P100’, ‘V100’

class `azure.mgmt.containerinstance.models.``ResourceRequests`(*, memory_in_gb: float, cpu: float, gpu=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The resource requests.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - memory_in_gb (float) – Required. The memory request in GB of this container instance.
  - cpu (float) – Required. The CPU request of this container instance.
  - gpu (GpuResource) – The GPU request of this container instance.

class `azure.mgmt.containerinstance.models.``ResourceLimits`(*, memory_in_gb: float = None, cpu: float = None, gpu=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The resource limits.

  Parameters:

  - memory_in_gb (float) – The memory limit in GB of this container instance.
  - cpu (float) – The CPU limit of this container instance.
  - gpu (GpuResource) – The GPU limit of this container instance.

class `azure.mgmt.containerinstance.models.``ResourceRequirements`(*, requests, limits=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The resource requirements.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - requests (ResourceRequests) – Required. The resource requests of this container instance.
  - limits (ResourceLimits) – The resource limits of this container instance.

class `azure.mgmt.containerinstance.models.``VolumeMount`(*, name: str, mount_path: str, read_only: bool = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the volume mount.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the volume mount.
  - mount_path (str) – Required. The path within the container where the volume should be mounted. Must not contain colon (:).
  - read_only (bool) – The flag indicating whether the volume mount is read-only.

class `azure.mgmt.containerinstance.models.``ContainerExec`(*, command=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The container execution command, for liveness or readiness probe.

  Parameters: | command (list[str]) – The commands to execute within the container.

class `azure.mgmt.containerinstance.models.``ContainerHttpGet`(*, port: int, path: str = None, scheme=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The container Http Get settings, for liveness or readiness probe.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - path (str) – The path to probe.
  - port (int) – Required. The port number to probe.
  - scheme (str or enum) – The scheme. Possible values include: ‘http’, ‘https’

class `azure.mgmt.containerinstance.models.``ContainerProbe`(*, exec_property=None, http_get=None, initial_delay_seconds: int = None, period_seconds: int = None, failure_threshold: int = None, success_threshold: int = None, timeout_seconds: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The container probe, for liveness or readiness.

  Parameters:

  - exec_property (ContainerExec) – The execution command to probe
  - http_get (ContainerHttpGet) – The Http Get settings to probe
  - initial_delay_seconds (int) – The initial delay seconds.
  - period_seconds (int) – The period seconds.
  - failure_threshold (int) – The failure threshold.
  - success_threshold (int) – The success threshold.
  - timeout_seconds (int) – The timeout seconds.

class `azure.mgmt.containerinstance.models.``Container`(*, name: str, image: str, resources, command=None, ports=None, environment_variables=None, volume_mounts=None, liveness_probe=None, readiness_probe=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A container instance.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The user-provided name of the container instance.
  - image (str) – Required. The name of the image used to create the container instance.
  - command (list[str]) – The commands to execute within the container instance in exec form.
  - ports (list[ContainerPort]) – The exposed ports on the container instance.
  - environment_variables (list[EnvironmentVariable]) – The environment variables to set in the container instance.
  - resources (ResourceRequirements) – Required. The resource requirements of the container instance.
  - volume_mounts (list[VolumeMount]) – The volume mounts available to the container instance.
  - liveness_probe (ContainerProbe) – The liveness probe.
  - readiness_probe (ContainerProbe) – The readiness probe.

  Variables: | instance_view (ContainerPropertiesInstanceView) – The instance view of the container instance. Only valid in response.

class `azure.mgmt.containerinstance.models.``AzureFileVolume`(*, share_name: str, storage_account_name: str, read_only: bool = None, storage_account_key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the Azure File volume. Azure File shares are mounted as volumes.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - share_name (str) – Required. The name of the Azure File share to be mounted as a volume.
  - read_only (bool) – The flag indicating whether the Azure File shared mounted as a volume is read-only.
  - storage_account_name (str) – Required. The name of the storage account that contains the Azure File share.
  - storage_account_key (str) – The storage account access key used to access the Azure File share.

class `azure.mgmt.containerinstance.models.``GitRepoVolume`(*, repository: str, directory: str = None, revision: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents a volume that is populated with the contents of a git repository.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - directory (str) – Target directory name. Must not contain or start with ‘..’. If ‘.’ is supplied, the volume directory will be the git repository. Otherwise, if specified, the volume will contain the git repository in the subdirectory with the given name.
  - repository (str) – Required. Repository URL
  - revision (str) – Commit hash for the specified revision.

class `azure.mgmt.containerinstance.models.``Volume`(*, name: str, azure_file=None, empty_dir=None, secret=None, git_repo=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The properties of the volume.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the volume.
  - azure_file (AzureFileVolume) – The Azure File volume.
  - empty_dir (object) – The empty directory volume.
  - secret (dict[str, str]) – The secret volume.
  - git_repo (GitRepoVolume) – The git repo volume.

class `azure.mgmt.containerinstance.models.``ContainerGroupIdentityUserAssignedIdentitiesValue`(**kwargs)

  Bases: `msrest.serialization.Model`

  ContainerGroupIdentityUserAssignedIdentitiesValue.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of user assigned identity.
  - client_id (str) – The client id of user assigned identity.

class `azure.mgmt.containerinstance.models.``ContainerGroupIdentity`(*, type=None, user_assigned_identities=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Identity for the container group.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - principal_id (str) – The principal id of the container group identity. This property will only be provided for a system assigned identity.
  - tenant_id (str) – The tenant id associated with the container group. This property will only be provided for a system assigned identity.

  Parameters:

  - type (str or ResourceIdentityType) – The type of identity used for the container group. The type ‘SystemAssigned, UserAssigned’ includes both an implicitly created identity and a set of user assigned identities. The type ‘None’ will remove any identities from the container group. Possible values include: ‘SystemAssigned’, ‘UserAssigned’, ‘SystemAssigned, UserAssigned’, ‘None’
  - user_assigned_identities (dict[str, ContainerGroupIdentityUserAssignedIdentitiesValue]) – The list of user identities associated with the container group. The user identity dictionary key references will be ARM resource ids in the form: ‘/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}’.

class `azure.mgmt.containerinstance.models.``ImageRegistryCredential`(*, server: str, username: str, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Image registry credential.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - server (str) – Required. The Docker image registry server without a protocol such as “http” and “https”.
  - username (str) – Required. The username for the private registry.
  - password (str) – The password for the private registry.

class `azure.mgmt.containerinstance.models.``Port`(*, port: int, protocol=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The port exposed on the container group.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - protocol (str or ContainerGroupNetworkProtocol) – The protocol associated with the port. Possible values include: ‘TCP’, ‘UDP’
  - port (int) – Required. The port number.

class `azure.mgmt.containerinstance.models.``IpAddress`(*, ports, type, ip: str = None, dns_name_label: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  IP address for the container group.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - ports (list[Port]) – Required. The list of ports exposed on the container group.
  - type (str or ContainerGroupIpAddressType) – Required. Specifies if the IP is exposed to the public internet or private VNET. Possible values include: ‘Public’, ‘Private’
  - ip (str) – The IP exposed to the public internet.
  - dns_name_label (str) – The Dns name label for the IP.

  Variables: | fqdn (str) – The FQDN for the IP.

class `azure.mgmt.containerinstance.models.``ContainerGroupPropertiesInstanceView`(**kwargs)

  Bases: `msrest.serialization.Model`

  The instance view of the container group. Only valid in response.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - events (list[Event]) – The events of this container group.
  - state (str) – The state of the container group. Only valid in response.

class `azure.mgmt.containerinstance.models.``LogAnalytics`(*, workspace_id: str, workspace_key: str, log_type=None, metadata=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Container group log analytics information.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - workspace_id (str) – Required. The workspace id for log analytics
  - workspace_key (str) – Required. The workspace key for log analytics
  - log_type (str or LogAnalyticsLogType) – The log type to be used. Possible values include: ‘ContainerInsights’, ‘ContainerInstanceLogs’
  - metadata (dict[str, str]) – Metadata for log analytics.

class `azure.mgmt.containerinstance.models.``ContainerGroupDiagnostics`(*, log_analytics=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Container group diagnostic information.

  Parameters: | log_analytics (LogAnalytics) – Container group log analytics information.

class `azure.mgmt.containerinstance.models.``ContainerGroupNetworkProfile`(*, id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Container group network profile information.

  All required parameters must be populated in order to send to Azure.

  Parameters: | id (str) – Required. The identifier for a network profile.

class `azure.mgmt.containerinstance.models.``DnsConfiguration`(*, name_servers, search_domains: str = None, options: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  DNS configuration for the container group.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name_servers (list[str]) – Required. The DNS servers for the container group.
  - search_domains (str) – The DNS search domains for hostname lookup in the container group.
  - options (str) – The DNS options for the container group.

class `azure.mgmt.containerinstance.models.``ContainerGroup`(*, containers, os_type, location: str = None, tags=None, identity=None, image_registry_credentials=None, restart_policy=None, ip_address=None, volumes=None, diagnostics=None, network_profile=None, dns_config=None, **kwargs)

  Bases: `azure.mgmt.containerinstance.models.resource_py3.Resource`

  A container group.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – The resource name.
  - type (str) – The resource type.
  - provisioning_state (str) – The provisioning state of the container group. This only appears in the response.
  - instance_view (ContainerGroupPropertiesInstanceView) – The instance view of the container group. Only valid in response.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - identity (ContainerGroupIdentity) – The identity of the container group, if configured.
  - containers (list[Container]) – Required. The containers within the container group.
  - image_registry_credentials (list[ImageRegistryCredential]) – The image registry credentials by which the container group is created from.
  - restart_policy (str or ContainerGroupRestartPolicy) – Restart policy for all containers within the container group. - Always Always restart - OnFailure Restart on failure - Never Never restart . Possible values include: ‘Always’, ‘OnFailure’, ‘Never’
  - ip_address (IpAddress) – The IP address type of the container group.
  - os_type (str or OperatingSystemTypes) – Required. The operating system type required by the containers in the container group. Possible values include: ‘Windows’, ‘Linux’
  - volumes (list[Volume]) – The list of volumes that can be mounted by containers in this container group.
  - diagnostics (ContainerGroupDiagnostics) – The diagnostic information for a container group.
  - network_profile (ContainerGroupNetworkProfile) – The network profile information for a container group.
  - dns_config (DnsConfiguration) – The DNS config information for a container group.

class `azure.mgmt.containerinstance.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The display information of the operation.

  Parameters:

  - provider (str) – The name of the provider of the operation.
  - resource (str) – The name of the resource type of the operation.
  - operation (str) – The friendly name of the operation.
  - description (str) – The description of the operation.

class `azure.mgmt.containerinstance.models.``Operation`(*, name: str, display, properties=None, origin=None, **kwargs)

  Bases: `msrest.serialization.Model`

  An operation for Azure Container Instance service.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str) – Required. The name of the operation.
  - display (OperationDisplay) – Required. The display information of the operation.
  - properties (object) – The additional properties.
  - origin (str or ContainerInstanceOperationsOrigin) – The intended executor of the operation. Possible values include: ‘User’, ‘System’

class `azure.mgmt.containerinstance.models.``OperationListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The operation list response that contains all operations for Azure Container Instance service.

  Parameters:

  - value (list[Operation]) – The list of operations.
  - next_link (str) – The URI to fetch the next page of operations.

class `azure.mgmt.containerinstance.models.``UsageName`(**kwargs)

  Bases: `msrest.serialization.Model`

  The name object of the resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - value (str) – The name of the resource
  - localized_value (str) – The localized name of the resource

class `azure.mgmt.containerinstance.models.``Usage`(**kwargs)

  Bases: `msrest.serialization.Model`

  A single usage result.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - unit (str) – Unit of the usage result
  - current_value (int) – The current usage of the resource
  - limit (int) – The maximum permitted usage of the resource.
  - name (UsageName) – The name object of the resource

class `azure.mgmt.containerinstance.models.``UsageListResult`(**kwargs)

  Bases: `msrest.serialization.Model`

  The response containing the usage data.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | value (list[Usage]) –

class `azure.mgmt.containerinstance.models.``Logs`(*, content: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The logs.

  Parameters: | content (str) – The content of the log.

class `azure.mgmt.containerinstance.models.``ContainerExecRequestTerminalSize`(*, rows: int = None, cols: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The size of the terminal.

  Parameters:

  - rows (int) – The row size of the terminal
  - cols (int) – The column size of the terminal

class `azure.mgmt.containerinstance.models.``ContainerExecRequest`(*, command: str = None, terminal_size=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The container exec request.

  Parameters:

  - command (str) – The command to be executed.
  - terminal_size (ContainerExecRequestTerminalSize) – The size of the terminal.

class `azure.mgmt.containerinstance.models.``ContainerExecResponse`(*, web_socket_uri: str = None, password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The information for the container exec command.

  Parameters:

  - web_socket_uri (str) – The uri for the exec websocket.
  - password (str) – The password to start the exec command.

class `azure.mgmt.containerinstance.models.``Resource`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Resource model definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – The resource name.
  - type (str) – The resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.

class `azure.mgmt.containerinstance.models.``CachedImages`(*, os_type: str, image: str, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The cached image and OS type.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - id (str) – The resource Id of the cached image.
  - os_type (str) – Required. The OS type of the cached image.
  - image (str) – Required. The cached image name.

class `azure.mgmt.containerinstance.models.``CachedImagesListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response containing cached images.

  Parameters:

  - value (list[CachedImages]) – The list of cached images.
  - next_link (str) – The URI to fetch the next page of cached images.

class `azure.mgmt.containerinstance.models.``CapabilitiesCapabilities`(**kwargs)

  Bases: `msrest.serialization.Model`

  The supported capabilities.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - max_memory_in_gb (float) – The maximum allowed memory request in GB.
  - max_cpu (float) – The maximum allowed CPU request in cores.
  - max_gpu_count (float) – The maximum allowed GPU count.

class `azure.mgmt.containerinstance.models.``Capabilities`(**kwargs)

  Bases: `msrest.serialization.Model`

  The regional capabilities.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - resource_type (str) – The resource type that this capability describes.
  - os_type (str) – The OS type that this capability describes.
  - location (str) – The resource location.
  - ip_address_type (str) – The ip address type that this capability describes.
  - gpu (str) – The GPU sku that this capability describes.
  - capabilities (CapabilitiesCapabilities) – The supported capabilities.

class `azure.mgmt.containerinstance.models.``CapabilitiesListResult`(*, value=None, next_link: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The response containing list of capabilities.

  Parameters:

  - value (list[Capabilities]) – The list of capabilities.
  - next_link (str) – The URI to fetch the next page of capabilities.

class `azure.mgmt.containerinstance.models.``ContainerGroupPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ContainerGroup` object

class `azure.mgmt.containerinstance.models.``ContainerNetworkProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `tcp` = 'TCP'
  `udp` = 'UDP'

class `azure.mgmt.containerinstance.models.``GpuSku`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `k80` = 'K80'
  `p100` = 'P100'
  `v100` = 'V100'

class `azure.mgmt.containerinstance.models.``ResourceIdentityType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `none` = 'None'
  `system_assigned` = 'SystemAssigned'
  `system_assigned_user_assigned` = 'SystemAssigned, UserAssigned'
  `user_assigned` = 'UserAssigned'

class `azure.mgmt.containerinstance.models.``ContainerGroupRestartPolicy`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `always` = 'Always'
  `never` = 'Never'
  `on_failure` = 'OnFailure'

class `azure.mgmt.containerinstance.models.``ContainerGroupNetworkProtocol`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `tcp` = 'TCP'
  `udp` = 'UDP'

class `azure.mgmt.containerinstance.models.``ContainerGroupIpAddressType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `private` = 'Private'
  `public` = 'Public'

class `azure.mgmt.containerinstance.models.``OperatingSystemTypes`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `linux` = 'Linux'
  `windows` = 'Windows'

class `azure.mgmt.containerinstance.models.``LogAnalyticsLogType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `container_insights` = 'ContainerInsights'
  `container_instance_logs` = 'ContainerInstanceLogs'

class `azure.mgmt.containerinstance.models.``ContainerInstanceOperationsOrigin`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `system` = 'System'
  `user` = 'User'